Subject: gcc and windows api
From: [email-masked] (Jonathan R. Seagrave)

13 Oct 1997 23:50:28 -0700
Message-ID: <Pine.LNX.3.95.971013165438.28780A-100000.cygnus.gnu-win32@argonaut>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

I have the following test program and when I compile it with the
cygnus-win gcc compiler  <http://www.cygnus.com/misc/gnu-win32/>
gcc version cygnus-2.7.2-970404

this is what happens when I compile:

> gcc bg.c
C:\WINDOWS\TEMP\cc0010001.o(.text+0x20):bg.c: undefined reference to
'SystemParametersInfoA@16'
GCC.EXE: Internal compiler error: program ld got fatal signal 1

can anyone tell me what I might do to get gcc to compile this simple
program?  thanks.

/*
    BOOL SystemParametersInfo(
        UINT uiAction,          // system parameter to query or set
        UINT uiParam,           // depends on action to be taken
        PVOID pvParam,          // depends on action to be taken
        UINT fWinIni            // user profile update flag
     );
 */

#include <windows.h>
#include <stdlib.h>
#include <stdio.h>

int main () {
    SystemParametersInfo(
        SPI_SETDESKWALLPAPER,
        0,
        "test.bmp",
        SPIF_UPDATEINIFILE
    );
}

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".